diff -Nru orig/Rhtslib/R/zzz.R patched/Rhtslib/R/zzz.R
--- orig/Rhtslib/R/zzz.R	2024-01-18 20:02:56.000000000 +0100
+++ patched/Rhtslib/R/zzz.R	2024-03-01 16:40:36.554407100 +0100
@@ -15,10 +15,18 @@
         if (platform == "Windows") {
             ## See how PKG_LIBS is defined in Rhtslib/src/Makevars.win
             ## and make sure to produce the same value here.
-            libs <- c("z", "m", "bz2", "lzma", "curl", "bcrypt", "idn2", "unistring",
-                      "iconv", "ssl", "crypto", "crypt32", "wsock32",
+            libs <- c("m", "bz2", "lzma", "curl")
+            syslibs <- paste0(tools::Rcmd("config R_TOOLS_SOFT", stdout=TRUE), "/lib/")
+	    if (dir.exists(syslibs)) {
+	        if (file.exists(paste0(syslibs, "libpsl.a")))
+		    libs <- append(libs, "psl")
+		if (file.exists(paste0(syslibs, "libbrotlidec.a")))
+		    libs <- append(libs, c("brotlidec", "brotlicommon"))
+	    }
+	    libs <- append(libs, c("bcrypt", "idn2", "unistring",
+                      "iconv", "ssl", "crypto", "z", "crypt32", "wsock32",
                       "wldap32", "ssh2", "gcrypt", "gpg-error", "ws2_32",
-                      "zstd", "regex")
+                      "zstd", "regex"))
             libs <- paste(sprintf("-l%s", libs), collapse=" ")
         } else {
             ## See how PKG_LIBS is defined in Rhtslib/src/Makevars
diff -Nru orig/Rhtslib/src/Makevars.win patched/Rhtslib/src/Makevars.win
--- orig/Rhtslib/src/Makevars.win	2023-10-20 20:24:22.000000000 +0200
+++ patched/Rhtslib/src/Makevars.win	2024-03-01 16:40:58.193682400 +0100
@@ -9,7 +9,9 @@
 
 ## Linker options. Make sure the Rhtslib::pkgconfig() function (defined in
 ## R/zzz.R) produces the same PKG_LIBS value.
-PKG_LIBS+=-lz -lm -lbz2 -llzma -lcurl -lbcrypt -lidn2 -lunistring -liconv -lssl -lcrypto -lcrypt32 -lwsock32 -lwldap32 -lssh2 -lgcrypt -lgpg-error -lws2_32 -lzstd -lregex
+LIBPSL = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libpsl.a),-lpsl),)
+LIBBROTLI = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libbrotlidec.a),-lbrotlidec -lbrotlicommon),)
+PKG_LIBS+=-lm -lbz2 -llzma -lcurl $(LIBPSL) $(LIBBROTLI) -lbcrypt -lidn2 -lunistring -liconv -lssl -lcrypto -lz -lcrypt32 -lwsock32 -lwldap32 -lssh2 -lgcrypt -lgpg-error -lws2_32 -lzstd -lregex
 
 populate-usrlib-dir: htslib mk-usrlib-dir
 	cd "${HTSLIB_SOURCE_DIR}" && cp libhts.a "${USRLIB_DIR}"
